<div class="animated fadeIn">
  <div class="row">
    <div class="col-sm-12">
      <div class="card card-accent-primary">
        <div class="card-header"><i class="icon-map"></i>Customer Interaction</div>
        <div class="card-body">
          <form [formGroup]="customerForm" (ngSubmit)="onSubmit()">

            <div class="form-group">

              <label for="driverId">Driver<sup class="req">*</sup></label>
              <input type="text" list="dataList" formControlName="driverId" class="form-control" placeholder="Type or click to select Driver ID"
                (input)="valuechange()">
              <datalist id="dataList">
                <option *ngFor="let driver of driverAssigned" value="{{ driver.driverId}}">{{ driver.driverName}} -
                  {{driver.driverId}}</option>
              </datalist>
              <div *ngIf="customerForm.get('driverId').invalid && customerForm.get('driverId').touched" class="alert alert-danger">
                <div *ngIf="customerForm.get('driverId').hasError('required')">
                  Driver is required.
                </div>
                <div *ngIf="customerForm.get('driverId').hasError('validateDriver')">
                    Select option from the list
                  </div>
              </div>
            </div>

            <div class="form-group">
              <label for="lspId">LSP<sup class="req">*</sup></label>
              <input type="text" formControlName="lspId" class="form-control" placeholder="Enter Driver ID to get LSP"
                readonly="readonly">
            </div>

            <div class="form-group">
              <label for="batteryId">Battery ID<sup class="req">*</sup></label>
              <input type="text" formControlName="batteryId" class="form-control" placeholder="Enter Driver ID to get Battery ID"
                readonly="readonly">
            </div>

            <div class="form-group ">
              <label for="date">Date
              </label>
              <input type="text" class="form-control" formControlName="date" placeholder="Select Date" [maxDate]="maxDate"
                readonly="readonly" #dpYMD="bsDatepicker" bsDatepicker [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD',containerClass:'theme-blue' }">
            </div>

            <div class="form-group">
                <label for="hrsDriven">Hours Driven</label>
                <input type="text" formControlName="hrsDriven" class="form-control" placeholder="Enter hours driven">
                <div *ngIf="customerForm.get('hrsDriven').invalid && customerForm.get('hrsDriven').touched" class="alert alert-danger">

                    <div *ngIf="customerForm.get('hrsDriven').hasError('pattern')">
                      Enter a number only
                    </div>
                  </div>
              </div>

              <div class="form-group">
                  <label for="kmDriven">KM Driven</label>
                  <input type="text" formControlName="kmDriven" class="form-control" placeholder="Enter KM driven">
                  <div *ngIf="customerForm.get('kmDriven').invalid && customerForm.get('kmDriven').touched" class="alert alert-danger">

                      <div *ngIf="customerForm.get('kmDriven').hasError('pattern')">
                        Enter a number only

                      </div>
                    </div>
                </div>

                <div class="form-group">
                    <label for="earning">Earnings</label>
                    <input type="text" formControlName="earning" class="form-control" placeholder="Enter earnings in rupees">
                    <div *ngIf="customerForm.get('earning').invalid && customerForm.get('earning').touched" class="alert alert-danger">

                        <div *ngIf="customerForm.get('earning').hasError('pattern')">
                          Enter a number only
                        </div>
                      </div>
                  </div>

                  <!-- <div class="form-group">
                      <label for="chargingCycle">Number of times Charged</label>
                      <input type="text" formControlName="time_charge" class="form-control" placeholder="Enter no. of times the battery was charged">
                      <div *ngIf="customerForm.get('time_charge').hasError('pattern')">
                          Enter a number only
                        </div>
                    </div> -->

                    <div class="form-group">
                <label  for="chargingCycle">Number of times Charged
                </label>
                  <select
                    formControlName="chargingCycle"
                    class="form-control"
                    >
                    <option value="0">- Click to Select -</option>
                    <option

                       value= "1"> 1</option>
                       <option

                       value= "2"> 2</option>
                       <option

                       value= "3"> 3</option>
                       <option

                       value= "4"> 4</option>
                  </select>
                    </div>

                    <div class="form-group">
                      <label for="attendedBy">Attended By<sup class="req">*</sup></label>
                      <input type="text" formControlName="attendedBy" class="form-control" placeholder="Call attended by"
                        >
                        <div *ngIf="customerForm.get('attendedBy').invalid && customerForm.get('attendedBy').touched" class="alert alert-danger">
                          <div *ngIf="customerForm.get('attendedBy').hasError('required')">
                            This field is required.
                          </div>
                    </div>
                    </div>


                    <div class="form-group">
                        <label for="issue">Issues</label>
                        <textarea rows="5" formControlName="issue" class="form-control" placeholder="Enter Issues"></textarea>
                      </div>


                      <div class="form-group">
                          <button
                            class="btn btn-primary"
                            type="submit"
                            [disabled]="this.checkDisabled()"
                          >
                            Submit
                          </button>
                        </div>



          </form>
        </div>
      </div>
    </div>
  </div>
</div>
